<!DOCTYPE html><html lang="en"><head><meta charset="utf-8"><meta name="viewport" content="width=device-width, initial-scale=1"><title>Run 2 for http://danielgruesso-python-sample.35.188.95.113.nip.io at 2018-11-02 19:47:17</title><meta name="description" content="First Visual Change: 500,
       Speed Index: 500,
       Visual Complete 85%: 500,
       Last Visual Change: 533 collected by sitespeed.io 6.3.1"><meta name="robots" content="noindex"><link rel="stylesheet" href="../../css/index.min.css"><style type="text/css">
</style><link rel="apple-touch-icon-precomposed" sizes="144x144" href="../../img/ico/sitespeed.io-144.png"><link rel="apple-touch-icon-precomposed" sizes="114x114" href="../../img/ico/sitespeed.io-114.png"><link rel="apple-touch-icon-precomposed" sizes="72x72" href="../../img/ico/sitespeed.io-72.png"><link rel="apple-touch-icon-precomposed" href="../../img/ico/sitespeed.io-57.png"><link rel="shortcut icon" href="../../img/ico/sitespeed.io.ico"></head><body><div class="darkblue nav"><div class="navgrid"><div class="logo"><a href="https://www.sitespeed.io"><img class="navbar-brand" src="../../img/sitespeed.io-logo.png" width="162" height="50" alt="sitespeed.io logo"></a></div><ul><li><a href="../../index.html">Summary</a></li><li><a href="../../detailed.html">Detailed Summary</a></li><li><a class="active" href="../../pages.html">Pages</a></li><li><a href="../../domains.html">Domains</a></li><li><a href="../../toplist.html">Toplist</a></li><li><a href="../../assets.html">Assets</a></li></ul></div></div><div class="container"><h1>Run 2 summary</h1><h5 class="url"><a href="http://danielgruesso-python-sample.35.188.95.113.nip.io">http://danielgruesso-python-sample.35.188.95.113.nip.io</a></h5><p class="small">Tested 2018-11-02 19:47:17 using Chrome 63.0.3239.132 for&nbsp;

3 runs with desktop profile and connectivity native.</p><p><div class="large">All runs:&nbsp;<a href="./0.html">1</a>&nbsp;-
<span class="label normal info">2</span>&nbsp;-
<a href="./2.html">3</a></div></p><div class="index-link"><a class="button button--primary" href="./index.html">Back to summary</a></div><div id="tabs"><a id="summary" href="#summary" onclick="return selectTab(this, true);"><img src="../../img/summary64.png" height="32" alt="Summary">Summary</a><a id="coach" href="#coach" onclick="return selectTab(this, true);"><img src="../../img/coach64.png" height="32" alt="Coach">Coach</a><a id="browsertime" href="#browsertime" onclick="return selectTab(this, true);"><img src="../../img/browsertime64.png" height="32" alt="Browsertime">Browsertime</a><a id="pagexray" href="#pagexray" onclick="return selectTab(this, true);"><img src="../../img/pagexray64.png" height="32" alt="PageXray">PageXray</a></div><script type="text/javascript">window.addEventListener('DOMContentLoaded', function() {
  let tabsRoot = document.querySelector('#tabs');

  let currentTab = tabsRoot.querySelector(location.hash || 'a');
  if (!currentTab) currentTab = tabsRoot.querySelector('a');

  let sections = document.querySelectorAll('#tabSections section');
  for (let i = 0; i < sections.length; i++) {
    sections[i].style.display = 'none';
  }
  selectTab(currentTab, false);
});

function selectTab(newSelection, updateUrlFragment) {
  let tabsRoot = document.querySelector('#tabs');
  let sectionRoot = document.querySelector('#tabSections');

  let previousSelection = tabsRoot.querySelector('[selected]');

  if (previousSelection) {
    previousSelection.removeAttribute('selected');
    let section = sectionRoot.querySelector(
      '#' + previousSelection.id + '-panel'
    );
    section.style.display = 'none';
  }

  newSelection.setAttribute('selected', '');
  let section = sectionRoot.querySelector('#' + newSelection.id + '-panel');
  section.style.display = 'block';

  let charts = section.querySelectorAll('.ct-chart');
  for (let i = 0; i < charts.length; i++) {
    if (charts[i].__chartist__) {
      charts[i].__chartist__.update();
    }
  }

  if (updateUrlFragment && history.replaceState) {
    history.replaceState(null, null, '#' + newSelection.id);
  }

  return false;
}
</script><div id="tabSections"><section id="summary-panel"><h2>Summary</h2><p class="small">Summary of some of the most important metrics.</p><div class="row"><div class="one-half column"><table><tr><th>Metric</th><th>Value</th></tr><tr><td>Performance score:</td><td>91</td></tr><tr><td>Total page size:</td><td>84.6 KB</td></tr><tr><td>Requests:</td><td>7</td></tr><tr><td>First Visual Change:</td><td>500</td></tr><tr><td>Speed Index:</td><td>500</td></tr><tr><td>Visual Complete 85%:</td><td>500</td></tr><tr><td>Visual Complete 95%:</td><td>500</td></tr><tr><td>Visual Complete 99%:</td><td>500</td></tr><tr><td>Last Visual Change:</td><td>533</td></tr></table></div><div class="one-half column"><a href="data/screenshots/1.png"><img class="screenshot" src="data/screenshots/1.png" width="100%" alt="Screenshot"></a></div></div><a id="waterfall"></a><h3>Waterfall</h3><div id="legend-holder"></div><div id="output"></div><!-- specific run (the median run) in summaryPageHAR.--><script src="../../js/perf-cascade.min.js"></script><script type="text/javascript">var outputHolderEl = document.getElementById("output");
var pageSelectorEl = document.getElementById("page-selector");
var legendHolderEl = document.getElementById("legend-holder");
var options = {
  rowHeight: 23,
  showAlignmentHelpers : false,
  showIndicatorIcons: false,
  showMimeTypeIcon: true,
  leftColumnWith: 30,
  legendHolder: legendHolderEl,
  selectedPage: 1,
  pageSelector: pageSelectorEl

};
var har = {"version":"1.2","creator":{"name":"chrome-har","version":"0.2.3","comment":"https://github.com/sitespeedio/chrome-har"},"browser":{"name":"Chrome","version":"63.0.3239.132"},"pages":[{"id":"page_1-1","startedDateTime":"2018-11-02T19:47:17.352Z","title":"GettingStarted run 2","pageTimings":{"onContentLoad":232.471,"onLoad":313.548,"_firstVisualChange":500,"_lastVisualChange":533,"_visualComplete85":500,"_visualComplete95":500,"_visualComplete99":500,"_domInteractiveTime":337,"_domContentLoadedTime":337},"_meta":{"connectivity":"native"},"_visualMetrics":{"FirstVisualChange":500,"SpeedIndex":500,"VisualComplete85":500,"VisualComplete95":500,"VisualComplete99":500,"LastVisualChange":533,"VisualProgress":{"0":0,"500":99,"533":100}}}],"entries":[{"cache":{},"startedDateTime":"2018-11-02T19:47:17.232Z","_initialPriority":"VeryHigh","_priority":"VeryHigh","pageref":"page_1-1","request":{"method":"GET","url":"http://danielgruesso-python-sample.35.188.95.113.nip.io/","queryString":[],"headersSize":405,"bodySize":0,"cookies":[],"headers":[{"name":"Accept","value":"text/html,application/xhtml+xml,application/xml;q=0.9,image/webp,image/apng,*/*;q=0.8"},{"name":"Accept-Encoding","value":"gzip, deflate"},{"name":"Accept-Language","value":"en-US,en;q=0.9"},{"name":"Connection","value":"keep-alive"},{"name":"Host","value":"danielgruesso-python-sample.35.188.95.113.nip.io"},{"name":"Upgrade-Insecure-Requests","value":"1"},{"name":"User-Agent","value":"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36"}],"httpVersion":"http/1.1"},"time":124.71199999999999,"response":{"httpVersion":"http/1.1","redirectURL":"","status":200,"statusText":"OK","content":{"mimeType":"text/html","size":6525},"headersSize":246,"bodySize":6525,"cookies":[],"headers":[{"name":"Connection","value":"keep-alive"},{"name":"Content-Encoding","value":"gzip"},{"name":"Content-Type","value":"text/html; charset=utf-8"},{"name":"Date","value":"Fri, 02 Nov 2018 19:47:17 GMT"},{"name":"Server","value":"nginx/1.13.8"},{"name":"Transfer-Encoding","value":"chunked"},{"name":"Vary","value":"Accept-Encoding"},{"name":"X-Frame-Options","value":"SAMEORIGIN"}],"_transferSize":6771},"connection":"32","serverIPAddress":"35.188.95.113","timings":{"blocked":76.367,"dns":-1,"connect":-1,"send":0.079,"wait":40.272,"receive":7.994,"ssl":-1},"_requestTime":238.969266},{"cache":{},"startedDateTime":"2018-11-02T19:47:17.413Z","_initialPriority":"VeryHigh","_priority":"VeryHigh","_initiator":"http://danielgruesso-python-sample.35.188.95.113.nip.io/","_initiator_line":4,"pageref":"page_1-1","request":{"method":"GET","url":"http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css","queryString":[],"headersSize":387,"bodySize":0,"cookies":[],"headers":[{"name":"Accept","value":"text/css,*/*;q=0.1"},{"name":"Accept-Encoding","value":"gzip, deflate"},{"name":"Accept-Language","value":"en-US,en;q=0.9"},{"name":"Connection","value":"keep-alive"},{"name":"Host","value":"maxcdn.bootstrapcdn.com"},{"name":"Referer","value":"http://danielgruesso-python-sample.35.188.95.113.nip.io/"},{"name":"User-Agent","value":"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36"}],"httpVersion":"http/1.1"},"time":66.97500000000001,"response":{"httpVersion":"http/1.1","redirectURL":"","status":200,"statusText":"OK","content":{"mimeType":"text/css","size":117305,"compression":98065},"headersSize":416,"bodySize":19240,"cookies":[],"headers":[{"name":"Accept-Ranges","value":"bytes"},{"name":"Access-Control-Allow-Origin","value":"*"},{"name":"Cache-Control","value":"max-age=31536000"},{"name":"Connection","value":"Keep-Alive"},{"name":"Content-Encoding","value":"gzip"},{"name":"Content-Length","value":"19240"},{"name":"Content-Type","value":"text/css; charset=utf-8"},{"name":"Date","value":"Fri, 02 Nov 2018 19:47:17 GMT"},{"name":"ETag","value":"\"1519106275\""},{"name":"Last-Modified","value":"Tue, 20 Feb 2018 05:57:55 GMT"},{"name":"Vary","value":"Accept-Encoding"},{"name":"X-Cache","value":"HIT"},{"name":"X-Hello-Human","value":"Say hello back! @getBootstrapCDN on Twitter"}],"_transferSize":19656},"connection":"62","serverIPAddress":"209.197.3.15","timings":{"blocked":0.271,"dns":31.004,"connect":13.251,"send":0.026,"wait":13.788,"receive":8.635,"ssl":-1,"_queued":0.338},"_requestTime":239.150942},{"cache":{},"startedDateTime":"2018-11-02T19:47:17.415Z","_initialPriority":"High","_priority":"High","_initiator":"http://danielgruesso-python-sample.35.188.95.113.nip.io/","_initiator_line":5,"pageref":"page_1-1","request":{"method":"GET","url":"https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js","queryString":[],"headersSize":-1,"bodySize":0,"cookies":[],"headers":[{"name":":authority","value":"ajax.googleapis.com"},{"name":":method","value":"GET"},{"name":":path","value":"/ajax/libs/jquery/2.1.3/jquery.min.js"},{"name":":scheme","value":"https"},{"name":"accept","value":"*/*"},{"name":"accept-encoding","value":"gzip, deflate, br"},{"name":"accept-language","value":"en-US,en;q=0.9"},{"name":"referer","value":"http://danielgruesso-python-sample.35.188.95.113.nip.io/"},{"name":"user-agent","value":"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36"}],"httpVersion":"h2"},"time":50.908,"response":{"httpVersion":"h2","redirectURL":"","status":200,"statusText":"","content":{"mimeType":"text/javascript","size":84320,"compression":54310},"headersSize":-1,"bodySize":30010,"cookies":[],"headers":[{"name":"accept-ranges","value":"bytes"},{"name":"access-control-allow-origin","value":"*"},{"name":"age","value":"157831"},{"name":"cache-control","value":"public, max-age=31536000, stale-while-revalidate=2592000"},{"name":"content-encoding","value":"gzip"},{"name":"content-length","value":"29707"},{"name":"content-type","value":"text/javascript; charset=UTF-8"},{"name":"date","value":"Wed, 31 Oct 2018 23:56:46 GMT"},{"name":"expires","value":"Thu, 31 Oct 2019 23:56:46 GMT"},{"name":"last-modified","value":"Tue, 20 Dec 2016 18:17:03 GMT"},{"name":"server","value":"sffe"},{"name":"status","value":"200"},{"name":"timing-allow-origin","value":"*"},{"name":"vary","value":"Accept-Encoding"},{"name":"x-content-type-options","value":"nosniff"},{"name":"x-xss-protection","value":"1; mode=block"}],"_transferSize":30010},"connection":"54","serverIPAddress":"74.125.139.95","timings":{"blocked":0.178,"dns":1.392,"connect":41.469,"send":0.453,"wait":0.829,"receive":6.587,"ssl":35.251,"_queued":0.387},"_requestTime":239.152283},{"cache":{},"startedDateTime":"2018-11-02T19:47:17.417Z","_initialPriority":"High","_priority":"High","_initiator":"http://danielgruesso-python-sample.35.188.95.113.nip.io/","_initiator_line":6,"pageref":"page_1-1","request":{"method":"GET","url":"http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js","queryString":[],"headersSize":370,"bodySize":0,"cookies":[],"headers":[{"name":"Accept","value":"*/*"},{"name":"Accept-Encoding","value":"gzip, deflate"},{"name":"Accept-Language","value":"en-US,en;q=0.9"},{"name":"Connection","value":"keep-alive"},{"name":"Host","value":"maxcdn.bootstrapcdn.com"},{"name":"Referer","value":"http://danielgruesso-python-sample.35.188.95.113.nip.io/"},{"name":"User-Agent","value":"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36"}],"httpVersion":"http/1.1"},"time":71.389,"response":{"httpVersion":"http/1.1","redirectURL":"","status":200,"statusText":"OK","content":{"mimeType":"application/javascript","size":35951,"compression":26413},"headersSize":429,"bodySize":9538,"cookies":[],"headers":[{"name":"Accept-Ranges","value":"bytes"},{"name":"Access-Control-Allow-Origin","value":"*"},{"name":"Cache-Control","value":"max-age=31536000"},{"name":"Connection","value":"Keep-Alive"},{"name":"Content-Encoding","value":"gzip"},{"name":"Content-Length","value":"9538"},{"name":"Content-Type","value":"application/javascript; charset=utf-8"},{"name":"Date","value":"Fri, 02 Nov 2018 19:47:17 GMT"},{"name":"ETag","value":"\"1519106282\""},{"name":"Last-Modified","value":"Tue, 20 Feb 2018 05:58:02 GMT"},{"name":"Vary","value":"Accept-Encoding"},{"name":"X-Cache","value":"HIT"},{"name":"X-Hello-Human","value":"Say hello back! @getBootstrapCDN on Twitter"}],"_transferSize":9967},"connection":"63","serverIPAddress":"209.197.3.15","timings":{"blocked":0.4,"dns":27.523,"connect":13.165,"send":0.022,"wait":15.523,"receive":14.756,"ssl":-1,"_queued":0.342},"_requestTime":239.154402},{"cache":{},"startedDateTime":"2018-11-02T19:47:17.490Z","_initialPriority":"Low","_priority":"Low","_initiator":"http://danielgruesso-python-sample.35.188.95.113.nip.io/","_initiator_line":84,"pageref":"page_1-1","request":{"method":"GET","url":"http://danielgruesso-python-sample.35.188.95.113.nip.io/static/lang-logo.png","queryString":[],"headersSize":416,"bodySize":0,"cookies":[],"headers":[{"name":"Accept","value":"image/webp,image/apng,image/*,*/*;q=0.8"},{"name":"Accept-Encoding","value":"gzip, deflate"},{"name":"Accept-Language","value":"en-US,en;q=0.9"},{"name":"Connection","value":"keep-alive"},{"name":"Host","value":"danielgruesso-python-sample.35.188.95.113.nip.io"},{"name":"Referer","value":"http://danielgruesso-python-sample.35.188.95.113.nip.io/"},{"name":"User-Agent","value":"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36"}],"httpVersion":"http/1.1"},"time":101.248,"response":{"httpVersion":"http/1.1","redirectURL":"","status":200,"statusText":"OK","content":{"mimeType":"image/png","size":2217},"headersSize":261,"bodySize":2217,"cookies":[],"headers":[{"name":"Access-Control-Allow-Origin","value":"*"},{"name":"Cache-Control","value":"max-age=0, public"},{"name":"Connection","value":"keep-alive"},{"name":"Content-Length","value":"2217"},{"name":"Content-Type","value":"image/png"},{"name":"Date","value":"Fri, 02 Nov 2018 19:47:17 GMT"},{"name":"Last-Modified","value":"Fri, 02 Nov 2018 19:35:25 GMT"},{"name":"Server","value":"nginx/1.13.8"}],"_transferSize":2478},"connection":"32","serverIPAddress":"35.188.95.113","timings":{"blocked":2.117,"dns":-1,"connect":-1,"send":0.071,"wait":37.957,"receive":61.103,"ssl":-1,"_queued":72.166},"_requestTime":239.227142},{"cache":{},"startedDateTime":"2018-11-02T19:47:17.577Z","_initialPriority":"VeryHigh","_priority":"VeryHigh","_initiator":"http://danielgruesso-python-sample.35.188.95.113.nip.io/","_initiator_line":0,"pageref":"page_1-1","request":{"method":"GET","url":"http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/fonts/glyphicons-halflings-regular.woff2","queryString":[],"headersSize":468,"bodySize":0,"cookies":[],"headers":[{"name":"Accept","value":"*/*"},{"name":"Accept-Encoding","value":"gzip, deflate"},{"name":"Accept-Language","value":"en-US,en;q=0.9"},{"name":"Connection","value":"keep-alive"},{"name":"Host","value":"maxcdn.bootstrapcdn.com"},{"name":"Origin","value":"http://danielgruesso-python-sample.35.188.95.113.nip.io"},{"name":"Referer","value":"http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css"},{"name":"User-Agent","value":"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36"}],"httpVersion":"http/1.1"},"time":79.214,"response":{"httpVersion":"http/1.1","redirectURL":"","status":200,"statusText":"OK","content":{"mimeType":"application/font-woff2","size":18028},"headersSize":415,"bodySize":18056,"cookies":[],"headers":[{"name":"Accept-Ranges","value":"bytes"},{"name":"Access-Control-Allow-Origin","value":"*"},{"name":"Cache-Control","value":"max-age=31536000"},{"name":"Connection","value":"Keep-Alive"},{"name":"Content-Encoding","value":"gzip"},{"name":"Content-Length","value":"18056"},{"name":"Content-Type","value":"application/font-woff2"},{"name":"Date","value":"Fri, 02 Nov 2018 19:47:17 GMT"},{"name":"ETag","value":"\"1519106293\""},{"name":"Last-Modified","value":"Tue, 20 Feb 2018 05:58:13 GMT"},{"name":"Vary","value":"Accept-Encoding"},{"name":"X-Cache","value":"HIT"},{"name":"X-Hello-Human","value":"Say hello back! @getBootstrapCDN on Twitter"}],"_transferSize":18471},"connection":"78","serverIPAddress":"209.197.3.15","timings":{"blocked":0.212,"dns":0.004,"connect":12.655,"send":0.039,"wait":13.936,"receive":52.368,"ssl":-1,"_queued":0.439},"_requestTime":239.31428},{"cache":{},"startedDateTime":"2018-11-02T19:47:17.730Z","_initialPriority":"High","_priority":"High","pageref":"page_1-1","request":{"method":"GET","url":"http://danielgruesso-python-sample.35.188.95.113.nip.io/favicon.ico","queryString":[],"headersSize":407,"bodySize":0,"cookies":[],"headers":[{"name":"Accept","value":"image/webp,image/apng,image/*,*/*;q=0.8"},{"name":"Accept-Encoding","value":"gzip, deflate"},{"name":"Accept-Language","value":"en-US,en;q=0.9"},{"name":"Connection","value":"keep-alive"},{"name":"Host","value":"danielgruesso-python-sample.35.188.95.113.nip.io"},{"name":"Referer","value":"http://danielgruesso-python-sample.35.188.95.113.nip.io/"},{"name":"User-Agent","value":"Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.132 Safari/537.36"}],"httpVersion":"http/1.1"},"time":54.275000000000006,"response":{"httpVersion":"http/1.1","redirectURL":"","status":404,"statusText":"Not Found","content":{"mimeType":"text/html","size":2234,"compression":1229},"headersSize":238,"bodySize":1005,"cookies":[],"headers":[{"name":"Connection","value":"keep-alive"},{"name":"Content-Encoding","value":"gzip"},{"name":"Content-Type","value":"text/html"},{"name":"Date","value":"Fri, 02 Nov 2018 19:47:17 GMT"},{"name":"Server","value":"nginx/1.13.8"},{"name":"Transfer-Encoding","value":"chunked"},{"name":"Vary","value":"Accept-Encoding"},{"name":"X-Frame-Options","value":"SAMEORIGIN"}],"_transferSize":1243},"connection":"32","serverIPAddress":"35.188.95.113","timings":{"blocked":0.586,"dns":-1,"connect":-1,"send":0.072,"wait":40.398,"receive":13.219,"ssl":-1,"_queued":0.374},"_requestTime":239.467757}]};
var perfCascadeSvg =  perfCascade.fromHar(har, options);
outputHolderEl.appendChild(perfCascadeSvg);</script><div class="downloads"><a class="button button-download" href="data/browsertime.har" download="danielgruesso-python-sample.35.188.95.113.nip.io-2-chrome-2018-11-02194717.har">Download HAR</a></div></section><section id="coach-panel"><h2>Coach</h2><p class="small"><a href="https://github.com/sitespeedio/coach">The coach</a>&nbsp;helps you find performance problems on your web page using web performance best practice rules. And gives you advice on accessibility and best practices.</p><script type="text/javascript">function toggleRow(toggleElement) {
  var rows = toggleElement.nextSibling.getElementsByClassName("u-hideable");
  for (var i = 0; i < rows.length; ++i) {
    var status = rows[i].currentStyle ? rows[i].currentStyle.display :
                            getComputedStyle(rows[i], null).display;
    rows[i].style.display = (status === 'none') ? "table-row" : "none";
  }
}
</script><div class="row"><div class="column"><div class="row"><div class="four columns"><a href="https://github.com/sitespeedio/coach"><img class="u-max-full-width" src="../../img/coach.png" alt="I am the coach"></a></div><div class="eight columns"><h3>Coach score</h3><ul><li class="group-item">Total score&nbsp;<span class="label normal warning">85</span></li><li class="group-item">Performance score&nbsp;<span class="label normal ok">91</span></li><li class="group-item">Accessibility score&nbsp;<span class="label normal ok">97</span></li><li class="group-item">Best practice score&nbsp;<span class="label normal error">57</span></li></ul></div></div><div class="row"><div class="twelve columns"><h3>Accessibility advice (97)</h3><button class="hidden-small button button--primary" onclick="toggleRow(this);">Show/hide details</button><div class="responsive"><table><thead><tr><th>Title</th><th>Advice</th><th>Score</th></tr></thead><tbody><tr><td data-title="Title">Always use an alt attribute on image tags (altImages)</td><td class="url" data-title="Advice">The page has 1 image that lack alt attribute(s) and 1 of them are unique.</td><td class="number" data-title="Score">90</td></tr><tr class="u-hideable"><td class="url offendingurl" colspan="3"><ul><li>http://danielgruesso-python-sample.35.188.95.113.nip.io/static/lang-logo.png</li></ul></td></tr><tr><td data-title="Title">Use heading tags to structure your page (headings)</td><td class="url" data-title="Advice">The page is missing a h2 and has heading(s) with lower priority.</td><td class="number" data-title="Score">90</td></tr><tr><td data-title="Title">Use headings tags within section tags to better structure your page (sections)</td><td class="url" data-title="Advice">The page doesn't use sections. You could use them to get a better structure of your content.</td><td class="number" data-title="Score">0</td></tr></tbody></table></div><h3>Performance advice (91)</h3><button class="hidden-small button button--primary" onclick="toggleRow(this);">Show/hide details</button><div class="responsive"><table><thead><tr><th>Title</th><th>Advice</th><th>Score</th></tr></thead><tbody><tr><td data-title="Title">Avoid slowing down the critical rendering path (fastRender)</td><td class="url" data-title="Advice">The page has 1 render blocking CSS request(s) and 2 blocking JavaScript request(s) inside of head.</td><td class="number" data-title="Score">65</td></tr><tr class="u-hideable"><td class="url offendingurl" colspan="3"><ul><li>http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css</li><li>https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js</li><li>http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js</li></ul></td></tr><tr><td data-title="Title">Inline CSS for faster first render (inlineCss)</td><td class="url" data-title="Advice">The page has both inline styles as well as it is requesting 1 CSS file(s) inside of the head. Let's only inline CSS for really fast render.</td><td class="number" data-title="Score">90</td></tr><tr class="u-hideable"><td class="url offendingurl" colspan="3"><ul><li>http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css</li></ul></td></tr><tr class="u-hideable"><td class="url offendingurl" colspan="3"><ul><li>2.1.3</li></ul></td></tr><tr><td data-title="Title">Avoid Frontend single point of failures (spof)</td><td class="url" data-title="Advice">The page has 3 requests inside of the head that can cause a SPOF (single point of failure). Load them asynchronously or move them outside of the document head.</td><td class="number" data-title="Score">80</td></tr><tr class="u-hideable"><td class="url offendingurl" colspan="3"><ul><li>http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css</li><li>https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js</li><li>http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js</li></ul></td></tr><tr><td data-title="Title">Always load third-party JavaScript asynchronously (thirdPartyAsyncJs)</td><td class="url" data-title="Advice">The page has 1 synchronous 3rd-party JavaScript request(s). Change it to be asynchronous instead.</td><td class="number" data-title="Score">90</td></tr><tr class="u-hideable"><td class="url offendingurl" colspan="3"><ul><li>https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js</li></ul></td></tr><tr><td data-title="Title">Avoid extra requests by setting cache headers (cacheHeaders)</td><td class="url" data-title="Advice">The page has 2 request(s) that are missing a cache time. Configure a cache time so the browser doesn't need to download them every time. It will save 3.2 kB the next access.</td><td class="number" data-title="Score">80</td></tr><tr class="u-hideable"><td class="url offendingurl" colspan="3"><ul><li>http://danielgruesso-python-sample.35.188.95.113.nip.io/static/lang-logo.png</li><li>http://danielgruesso-python-sample.35.188.95.113.nip.io/favicon.ico</li></ul></td></tr><tr class="u-hideable"><td class="url offendingurl" colspan="3"><ul><li>http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/fonts/glyphicons-halflings-regular.woff2</li></ul></td></tr><tr><td data-title="Title">Make each CSS response small (optimalCssSize)</td><td class="url" data-title="Advice">http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css size is 19.2 kB (19240) and that is bigger than the limit of 14.5 kB. Try to make the CSS files fit into 14.5 KB.</td><td class="number" data-title="Score">90</td></tr><tr class="u-hideable"><td class="url offendingurl" colspan="3"><ul><li>http://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/css/bootstrap.min.css</li></ul></td></tr><tr><td data-title="Title">Avoid missing and error requests (responseOk)</td><td class="url" data-title="Advice">The page has 1 error response(s). The page has 1 response(s) with code 404. </td><td class="number" data-title="Score">90</td></tr><tr class="u-hideable"><td class="url offendingurl" colspan="3"><ul><li>http://danielgruesso-python-sample.35.188.95.113.nip.io/favicon.ico</li></ul></td></tr></tbody></table></div><h3>Best practice advice (57)</h3><button class="hidden-small button button--primary" onclick="toggleRow(this);">Show/hide details</button><div class="responsive"><table><thead><tr><th>Title</th><th>Advice</th><th>Score</th></tr></thead><tbody><tr><td data-title="Title">Serve your content securely (https)</td><td class="url" data-title="Advice">What!! The page is not using HTTPS. Every unencrypted HTTP request reveals information about user’s behavior, read more about it at https://https.cio.gov/everything/. You can get a totally free SSL/TLS certificate from https://letsencrypt.org/.</td><td class="number" data-title="Score">0</td></tr><tr><td data-title="Title">Declare the language code for your document (language)</td><td class="url" data-title="Advice">The page is missing a language definition in the HTML tag. Define it with &lt;html lang=&quot;YOUR_LANGUAGE_CODE&quot;&gt;</td><td class="number" data-title="Score">0</td></tr><tr><td data-title="Title">Meta description (metaDescription)</td><td class="url" data-title="Advice">The page is missing a meta description.</td><td class="number" data-title="Score">0</td></tr></tbody></table></div></div></div><a id="info"></a><h2>Page info</h2><div class="row"><div class="one-half column"><table><tr><th colspan="2">Page info</th></tr><tr><td>Title</td><td class="right">GettingStarted</td></tr><tr><td>Width</td><td class="number">1350</td></tr><tr><td>Height</td><td class="number">1001</td></tr><tr><td>DOM elements</td><td class="number">86</td></tr><tr><td>Avg DOM depth</td><td class="number">6</td></tr><tr><td>Max DOM depth</td><td class="number">9</td></tr><tr><td>Iframes</td><td class="number">0</td></tr><tr><td>Script tags</td><td class="number">2</td></tr><tr><td>Local storage</td><td class="number" data-title="" data-value="0">N/A</td></tr><tr><td>Session storage</td><td class="number" data-title="" data-value="0">N/A</td></tr><tr><td>HTML vs AMP</td><td class="right">Plain good HTML page</td></tr></table></div><div class="one-half column"><table><tr><th colspan="2">Resource Hints</th></tr><tr><td colspan="2">No URLs for dns-prefetch</td></tr><tr><td colspan="2">No URLs for preconnect</td></tr><tr><td colspan="2">No URLs for prefetch</td></tr><tr><td colspan="2">No URLs for prerender</td></tr></table><table><tr><th colspan="2">Third party</th><tr><td>JQuery</td><td class="right">2.1.3</td></tr><tr><td>Google Analytics</td><td class="right">No</td></tr><tr><td>Google Tag Manager</td><td class="right">No</td></tr><tr><td>Piwik</td><td class="right">No</td></tr><tr><td>Boomerang</td><td class="right">No</td></tr><tr><td>New Relic</td><td class="right">No</td></tr></tr></table></div></div></div></div></section><section id="browsertime-panel"><a></a><h2>Browsertime</h2><p class="small">Collect timing metrics from your browser using&nbsp;<a href="https://github.com/sitespeedio/browsertime">Browsertime</a>.</p><a id="video"></a><h3>Video</h3><div class="videoWrapper" style="width: 100%;"><video class="video-js vjs-default-skin vjs-big-play-centered" controls preload="none" poster="data/screenshots/1.png" data-setup="{ &quot;fluid&quot;: true, &quot;playbackRates&quot;: [0.1, 0.2, 0.5, 1] ,&quot;volumeControl&quot;: false}"><source src="data/video/1.mp4" type="video/mp4"></video></div><script src="../../js/video.min.js"></script><div class="downloads"><a class="button button-download" href="data/browsertime.har" download="danielgruesso-python-sample.35.188.95.113.nip.io-2-chrome-2018-11-02194717.har">Download HAR</a><a class="button button-download" href="data/video/1.mp4" download="danielgruesso-python-sample.35.188.95.113.nip.io-2-chrome-2018-11-02194717-video.mp4">Download video</a></div><a id="visualmetrics"></a><h3>Visual Metrics</h3><div class="row"><div class="one-half column"><table><tr><th colspan="2">Visual Metrics</th></tr><tr><td><a href="../../help.html#FirstVisualChange">First Visual Change</a></td><td class="number">500</td></tr><tr><td><a href="../../help.html#SpeedIndex">Speed Index</a></td><td class="number">500</td></tr><tr><td><a href="../../help.html#PerceptualSpeedIndex">Perceptual Speed Index</a></td><td class="number">500</td></tr><tr><td><a href="../../help.html#VisualComplete85">Visual Complete 85%</a></td><td class="number">500</td></tr><tr><td><a href="../../help.html#VisualComplete95">Visual Complete 95%</a></td><td class="number">500</td></tr><tr><td><a href="../../help.html#VisualComplete99">Visual Complete 99%</a></td><td class="number">500</td></tr><tr><td><a href="../../help.html#LastVisualChange">Last Visual Change</a></td><td class="number">533</td></tr></table></div><div class="one-half column"><div class="ct-chart ct-minor-sixth" id="ct-visualprogress"></div><!-- and since the original time is in ms we wanna remove entries on the same 0.1 s--><!-- and since the original time is in ms we wanna remove entries on the same 0.1 s--><!-- and since the original time is in ms we wanna remove entries on the same 0.1 s--><script type="text/javascript">document.addEventListener("DOMContentLoaded", function() {
    var visualProgressChart = new Chartist.Line('#ct-visualprogress', {
      series: [[{"x":"0.0","y":0},{"x":"0.5","y":99}]],
      }, {
      showArea: true,
      showPoint: true,
      chartPadding: {
        top: 10,
        right: 0,
        bottom: 30,
        left: 10
      },
      axisX: {
        type: Chartist.AutoScaleAxis,
        onlyInteger: false,
      },
      lineSmooth: Chartist.Interpolation.step({
        postpone: true,
        fillHoles: false
      }),
      axisY: {
        onlyInteger: true
      },
      plugins: [
        Chartist.plugins.ctAxisTitle({
          axisX: {
            axisTitle: 'Time (seconds)',
            axisClass: 'ct-axis-title',
            offset: {
              x: 0,
              y: 50
            },
            textAnchor: 'middle'
          },
          axisY: {
            axisTitle: 'Visual progress %',
            axisClass: 'ct-axis-title',
            offset: {
              x: 0,
              y: -4
            },
            textAnchor: 'middle',
            flipTitle: false
          }
          }),
          Chartist.plugins.tooltip({
            transformTooltipTextFnc: function(text) {
              var m = text.split(',');
              return m[0] + 's ' + m[1] + '%';
            }
          })
        ]
      });
    });</script></div></div><a id="browsermetrics"></a><h3>Browser Metrics</h3><div class="row"><div class="one-half column"><table><tr><th colspan="2">Navigation Timing</th></tr><tr><td><a href="../../help.html#backEndTime">backEndTime</a></td><td class="number">119</td></tr><tr><td><a href="../../help.html#domContentLoadedTime">domContentLoadedTime</a></td><td class="number">337</td></tr><tr><td><a href="../../help.html#domInteractiveTime">domInteractiveTime</a></td><td class="number">337</td></tr><tr><td><a href="../../help.html#domainLookupTime">domainLookupTime</a></td><td class="number">0</td></tr><tr><td><a href="../../help.html#frontEndTime">frontEndTime</a></td><td class="number">308</td></tr><tr><td><a href="../../help.html#pageDownloadTime">pageDownloadTime</a></td><td class="number">8</td></tr><tr><td><a href="../../help.html#pageLoadTime">pageLoadTime</a></td><td class="number">435</td></tr><tr><td><a href="../../help.html#redirectionTime">redirectionTime</a></td><td class="number">3</td></tr><tr><td><a href="../../help.html#serverConnectionTime">serverConnectionTime</a></td><td class="number">0</td></tr><tr><td><a href="../../help.html#serverResponseTime">serverResponseTime</a></td><td class="number">48</td></tr></table></div><div class="one-half column"><table><tr><th colspan="2">Specials and User Timing</th></tr><tr><td>first-contentful-paint</td><td class="number">452</td></tr><tr><td>first-paint</td><td class="number">452</td></tr><tr><td><a href="../../help.html#rumSpeedIndex">RUM Speed Index</a></td><td class="number">452</td></tr><tr><td><a href="../../help.html#fullyLoaded">Fully loaded</a></td><td class="number">427</td></tr></table></div></div><a id="custom-scripts"></a><h3>Custom scripts</h3><p>There are no custom configured scripts.</p></section><section id="pagexray-panel"><a></a><h2>PageXray</h2><p class="small"><a href="https://github.com/sitespeedio/pagexray">Xrays your page</a>&nbsp;and let you know all about how the page is built.</p><a id="pagexray-summary"></a><div class="row"><div class="one-half column"><table><th colspan="2">Summary<tr><td>HTTP version</td><td class="right">HTTP/1.1</td></tr><tr><td>Total requests</td><td class="number" data-title="">7</td></tr><tr><td>Total domains</td><td class="number" data-title="">3</td></tr><tr><td>Total transfer size</td><td class="number" data-title="" data-value="86591">84.6 KB</td></tr><tr><td>Total content size</td><td class="number" data-title="" data-value="266580">260.3 KB</td></tr><tr><td>Responses missing compression</td><td class="number" data-title="">0</td></tr></th></table></div><div class="one-half column"><table><th colspan="2">Requests per response code</th><tr><td>200</td><td>6</td></tr><tr><td>404</td><td>1</td></tr></table></div></div><a id="requests-and-sizes-per-content-type"></a><h3>Requests and sizes per content type</h3><div class="row"><div class="one-half column"><h4>Transfer vs content size</h4><div class="ct-chart ct-golden-section" id="ct-size-chart"></div></div><div class="one-half column"><h4>Requests</h4><div class="ct-chart ct-golden-section" id="ct-requests-chart"></div></div></div><div class="responsive"><table data-sortable id="contentSize"><thead><tr><th>Content</th><th>Header Size</th><th>Transfer Size</th><th>Content Size</th><th>Requests</th></tr></thead><tr><td data-title="Content Type">html</td><td class="number" data-title="headerSize" data-value="246">246 B</td><td class="number" data-title="transferSize" data-value="6525">6.4 KB</td><td class="number" data-title="contentSize" data-value="6525">6.4 KB</td><td class="number" data-title="requests">1</td></tr><tr><td data-title="Content Type">css</td><td class="number" data-title="headerSize" data-value="416">416 B</td><td class="number" data-title="transferSize" data-value="19240">18.8 KB</td><td class="number" data-title="contentSize" data-value="117305">114.6 KB</td><td class="number" data-title="requests">1</td></tr><tr><td data-title="Content Type">javascript</td><td class="number" data-title="headerSize" data-value="429">429 B</td><td class="number" data-title="transferSize" data-value="39548">38.6 KB</td><td class="number" data-title="contentSize" data-value="120271">117.5 KB</td><td class="number" data-title="requests">2</td></tr><tr><td data-title="Content Type">image</td><td class="number" data-title="headerSize" data-value="261">261 B</td><td class="number" data-title="transferSize" data-value="2217">2.2 KB</td><td class="number" data-title="contentSize" data-value="2217">2.2 KB</td><td class="number" data-title="requests">1</td></tr><tr><td data-title="Content Type">font</td><td class="number" data-title="headerSize" data-value="415">415 B</td><td class="number" data-title="transferSize" data-value="18056">17.6 KB</td><td class="number" data-title="contentSize" data-value="18028">17.6 KB</td><td class="number" data-title="requests">1</td></tr><tr><td data-title="Total">Total</td><td class="number" data-title="headerSize" data-value="1767">1.7 KB</td><td class="number" data-title="transferSize" data-value="85586">83.6 KB</td><td class="number" data-title="contentSize" data-value="264346">258.2 KB</td><td class="number" data-title="requests">6</td></tr></table></div><a id="sizes-per-domain"></a><h3>Size and requests per domain</h3><div class="responsive"><table data-sortable id="contentSizePerDomain"><thead><tr><th>Domain</th><th>Header Size</th><th>Transfer Size</th><th>Content Size</th><th>Requests</th></tr></thead><tr><td data-title="Domain">danielgruesso-python-sample.35.188.95.113.nip.io</td><td class="number" data-title="headerSize" data-value="745">745 B</td><td class="number" data-title="transferSize" data-value="9747">9.5 KB</td><td class="number" data-title="contentSize" data-value="10976">10.7 KB</td><td class="number" data-title="requests">3</td></tr><tr><td data-title="Domain">maxcdn.bootstrapcdn.com</td><td class="number" data-title="headerSize" data-value="1260">1.2 KB</td><td class="number" data-title="transferSize" data-value="46834">45.7 KB</td><td class="number" data-title="contentSize" data-value="171284">167.3 KB</td><td class="number" data-title="requests">3</td></tr><tr><td data-title="Domain">ajax.googleapis.com</td><td class="number" data-title="headerSize" data-value="-1">N/A</td><td class="number" data-title="transferSize" data-value="30010">29.3 KB</td><td class="number" data-title="contentSize" data-value="84320">82.3 KB</td><td class="number" data-title="requests">1</td></tr></table></div><a id="expires-and-last-modified-stats"></a><h3>Expires, last modified and cookies stats</h3><div class="responsive"><table><thead><tr><th>type</th><th>min</th><th>median</th><th>max</th></tr></thead><tr><td data-title="Type">Expires</td><td class="number" data-title="min" data-value="0">0  seconds</td><td class="number" data-title="median" data-value="31536000">1  year</td><td class="number" data-title="max" data-value="31536000">1  year</td></tr><tr><td data-title="Type">Last modified</td><td class="number" data-title="min" data-value="712">12  minutes</td><td class="number" data-title="median" data-value="22081755">37  weeks</td><td class="number" data-title="max" data-value="58772383">2  years</td></tr><tr><td data-title="Type">Cookies</td><td class="number" data-title="min">0</td><td class="number" data-title="median">0</td><td class="number" data-title="max">0</td></tr></table></div><script type="text/javascript">document.addEventListener("DOMContentLoaded", function() {
  var data = {
    labels: ["html","css","javascript","image","font"],
    series: [[{"meta":"html content size (kb)","value":"6.4"},{"meta":"css content size (kb)","value":"114.6"},{"meta":"javascript content size (kb)","value":"117.5"},{"meta":"image content size (kb)","value":"2.2"},{"meta":"font content size (kb)","value":"17.6"}], [{"meta":"html transfer size (kb)","value":"6.4"},{"meta":"css transfer size (kb)","value":"18.8"},{"meta":"javascript transfer size (kb)","value":"38.6"},{"meta":"image transfer size (kb)","value":"2.2"},{"meta":"font transfer size (kb)","value":"17.6"}]]
  };

  var options = {
    axisY: {
      labelInterpolationFnc: function(value) {
        return value + 'kb';
      }
    },
    plugins: [
        Chartist.plugins.tooltip()
      ]
  };

  var responsiveOptions = [
    ['screen and (max-width: 640px)', {
      seriesBarDistance: 5,
      axisX: {
        labelInterpolationFnc: function (value) {
          return value[0];
        }
      }
    }]
  ];

  var sizeChart = new Chartist.Bar('#ct-size-chart', data, options, responsiveOptions);

});</script><script type="text/javascript">document.addEventListener("DOMContentLoaded", function() {
  var data = {
    labels: ["html","css","javascript","image","font"],
    series: [{"meta":"html","value":1},{"meta":"css","value":1},{"meta":"javascript","value":2},{"meta":"image","value":1},{"meta":"font","value":1}]
  };

  var options = {
    showLabel: false,
    plugins: [
        Chartist.plugins.tooltip()
      ]
  };

  var responsiveOptions = [ ];

  var requestChart = new Chartist.Pie('#ct-requests-chart', data, options, responsiveOptions);

});</script></section></div><footer><hr><p><a href="https://www.sitespeed.io">sitespeed.io</a>  6.3.1  by <a href="https://www.sitespeed.io/aboutus/">the sitespeed.io team</a> and <a href="https://github.com/sitespeedio/sitespeed.io/blob/master/CONTRIBUTORS.md">contributors</a></p></footer></div><script src="../../js/sortable.min.js"></script><script src="../../js/chartist.min.js"></script><script src="../../js/chartist-plugin-axistitle.min.js"></script><script src="../../js/chartist-plugin-tooltip.min.js"></script></body></html>